Summary: Samba SMB client and server
Name: samba
Version: 2.0.7
Release: 2
Group: Networking
Copyright: GNU GPL version 2
Url: http://www.samba.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://samba.org/pub/samba/samba-%{version}.tar.gz
Patch: samba-%{version}.patch
Requires: pam >= 0.64
BuildRoot: /var/tmp/%{name}-root

%description
Samba provides an SMB server which can be used to provide
network services to SMB (sometimes called "Lan Manager")
clients, including various versions of MS Windows, OS/2,
and other Linux machines. Samba also provides some SMB
clients, which complement the built-in SMB filesystem
in Linux. Samba uses NetBIOS over TCP/IP (NetBT) protocols
and does NOT need NetBEUI (Microsoft Raw NetBIOS frame)
protocol.

This package doesn't include SWAT.


%prep
%setup -q
%patch -p1


%build
cd source
CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64" ./configure \
	--prefix=/usr \
	--sysconfdir=/etc \
	--localstatedir=/var/log/samba \
	--libdir=/etc \
	--with-pam \
	--with-smbmount \
	--with-automount \
	--with-quotas \
	--with-privatedir=/etc \
	--with-lockdir=/var/lock/samba \
	--with-swatdir=/usr/share/swat \
	--without-sambabook
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc/{rc.d/init.d,pam.d,logrotate.d},usr/{bin,sbin,share,man},var/{lock,log}/samba}
make -C source install \
	BASEDIR=$RPM_BUILD_ROOT/usr \
	BINDIR=$RPM_BUILD_ROOT/usr/bin \
	SBINDIR=$RPM_BUILD_ROOT/usr/sbin \
	LIBDIR=$RPM_BUILD_ROOT/etc \
	VARDIR=$RPM_BUILD_ROOT/var/log/samba \
	MANDIR=$RPM_BUILD_ROOT/usr/man \
	PRIVATEDIR=$RPM_BUILD_ROOT/etc \
	LOCKDIR=$RPM_BUILD_ROOT/var/lock/samba \
	SWATDIR=$RPM_BUILD_ROOT/usr/share/swat

# Original samba RPM did this, so I just follow.
(cd $RPM_BUILD_ROOT/usr; mv bin/{smbmnt,smbmount,smbumount} sbin/)

# Ditto
install -m755 source/script/{addtosmbpass,mksmbpasswd.sh,smbtar} \
	$RPM_BUILD_ROOT/usr/bin

# Install the miscellany
install -p -m755 packaging/RedHat/smbprint   $RPM_BUILD_ROOT/usr/bin
install -p -m755 packaging/RedHat/findsmb    $RPM_BUILD_ROOT/usr/bin
install -p -m755 packaging/RedHat/smbadduser $RPM_BUILD_ROOT/usr/bin
install -p -m644 packaging/RedHat/smb.conf   $RPM_BUILD_ROOT/etc/smb.conf
install -p -m644 packaging/RedHat/smbusers   $RPM_BUILD_ROOT/etc/smbusers
install -p -m755 packaging/RedHat/smb.init   $RPM_BUILD_ROOT/etc/rc.d/init.d/smb
install -p -m644 packaging/RedHat/samba.pamd $RPM_BUILD_ROOT/etc/pam.d/samba
install -p -m644 packaging/RedHat/samba.log  $RPM_BUILD_ROOT/etc/logrotate.d/samba
echo 127.0.0.1 localhost > $RPM_BUILD_ROOT/etc/lmhosts

# I don't like swat.
rm -rf $RPM_BUILD_ROOT/usr/{share/swat,sbin/swat,man/man8/swat.8}


%post
/sbin/chkconfig --add smb

%preun
if [ $1 = 0 ] ; then
    /sbin/chkconfig --del smb
    rm -f /var/lock/samba/*
    rm -f /var/log/samba/*
fi


%files
%defattr(-,root,root)
%doc COPYING Manifest README README-smbmount Roadmap WHATSNEW.txt
#%doc docs examples
%dir /var/lock/samba
%dir /var/log/samba
%config /etc/smb.conf
%config /etc/smbusers
%config /etc/rc.d/init.d/smb
%config /etc/pam.d/samba
%config /etc/logrotate.d/samba
%config /etc/lmhosts
/etc/codepages
/usr/bin/*
/usr/sbin/*
#/usr/share/swat
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

